* [committed] Add objcopy-strip-debug.sh and objcopy-remove-debug-abbrev.sh test-case
@ 2019-01-01 0:00 Tom de Vries
0 siblings, 0 replies; only message in thread
From: Tom de Vries @ 2019-01-01 0:00 UTC (permalink / raw)
To: dwz, jakub
Hi,
Add test-cases that:
- test behaviour for an executable without debug info
- test behaviour for an executable with debug info, but without
.debug_abbrev section.
Committed to trunk.
Thanks,
- Tom
Add objcopy-strip-debug.sh and objcopy-remove-debug-abbrev.sh test-case
2019-03-13 Tom de Vries <tdevries@suse.de>
* testsuite/dwz.tests/objcopy-remove-debug-abbrev.sh: New test.
* testsuite/dwz.tests/objcopy-strip-debug.sh: New test.
---
testsuite/dwz.tests/objcopy-remove-debug-abbrev.sh | 21 +++++++++++++++++++++
testsuite/dwz.tests/objcopy-strip-debug.sh | 21 +++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/testsuite/dwz.tests/objcopy-remove-debug-abbrev.sh b/testsuite/dwz.tests/objcopy-remove-debug-abbrev.sh
new file mode 100755
index 0000000..70c59c8
--- /dev/null
+++ b/testsuite/dwz.tests/objcopy-remove-debug-abbrev.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+objcopy --remove-section=.debug_abbrev ../hello 1
+
+cp 1 1.saved
+
+if dwz 1 2>dwz.err; status=$?; then
+ true
+fi
+
+[ $status -eq 1 ]
+
+if ! grep -q "\.debug_abbrev not present" dwz.err; then
+ exit 1
+fi
+
+cmp 1 1.saved
+
+rm -f 1 1.saved dwz.err
diff --git a/testsuite/dwz.tests/objcopy-strip-debug.sh b/testsuite/dwz.tests/objcopy-strip-debug.sh
new file mode 100755
index 0000000..9002964
--- /dev/null
+++ b/testsuite/dwz.tests/objcopy-strip-debug.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+objcopy --strip-debug ../hello 1
+
+cp 1 1.saved
+
+if dwz 1 2>dwz.err; status=$?; then
+ true
+fi
+
+[ $status -eq 1 ]
+
+if ! grep -q "\.debug_info section not present" dwz.err; then
+ exit 1
+fi
+
+cmp 1 1.saved
+
+rm -f 1 1.saved dwz.err
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2019-03-13 13:12 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-01 0:00 [committed] Add objcopy-strip-debug.sh and objcopy-remove-debug-abbrev.sh test-case Tom de Vries
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).